> ## Documentation Index
> Fetch the complete documentation index at: https://docs.powerdrill.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Modify session

> Modifies the configuration of the specified session.



## OpenAPI

````yaml post /v1/team/sessions/{sessionId}
openapi: 3.0.1
info:
  title: Team Open API
  description: ''
  version: 1.0.0
servers:
  - url: https://ai.data.cloud/api
    description: 体验环境
security: []
tags:
  - name: Session
  - name: Dataset
  - name: Data source
  - name: File
  - name: Job
paths:
  /v1/team/sessions/{sessionId}:
    post:
      tags:
        - Session
      summary: Modify session
      description: Modifies the configuration of the specified session.
      parameters:
        - name: sessionId
          in: path
          description: The ID of the session to modify.
          required: true
          schema:
            type: string
        - name: userId
          in: query
          description: >-
            Your user ID. 


            How to obtain your user ID: Sign in to Powerdrill Enterprise, click
            **Users** in the top navigation bar, and find your user ID in the
            list of users.
          required: true
          schema:
            type: string
        - name: x-pd-external-trace-id
          in: header
          description: The external trace ID. The length ranges from 0 to 128 characters.
          required: false
          example: ''
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type: string
                  description: >-
                    The new session name.


                    Specify at least one parameter: `title`, `languageType`,
                    `jobMode`, or `maxMessagesInContext`.
                languageType:
                  type: string
                  description: >-
                    The new language in which the output is generated. Possible
                    values are:

                    - `AUTO`: adaptive recognition

                    - `EN`: English

                    - `ES`: Spanish

                    - `AR`: Arabic

                    - `PT`: Portuguese

                    - `ID`: Indonesian

                    - `JA`: Japanese

                    - `RU`: Russian

                    - `HI`: Hindi

                    - `FR`: French

                    - `DE`: German

                    - `VI`: Vietnamese

                    - `TR`: Turkish

                    - `PL`: Polish

                    - `IT`: Italian

                    - `KO`: Korean

                    - `ZH-CN`: Simplified Chinese

                    - `ZH-TW`: Traditional Chinese


                    Specify at least one parameter: `title`, `languageType`,
                    `jobMode`, or `maxMessagesInContext`.
                  enum:
                    - AUTO
                    - EN
                    - ES
                    - AR
                    - PT
                    - ID
                    - JA
                    - RU
                    - HI
                    - FR
                    - DE
                    - VI
                    - TR
                    - PL
                    - IT
                    - KO
                    - ZH-CN
                    - ZH-TW
                  default: AUTO
                jobMode:
                  type: string
                  description: >-
                    The new job mode. Possible values are:

                    - `AUTO`: Powerdrill automatically detects your intent and
                    selects the appropriate job mode from data analysis and
                    information retrieval.

                    - `DATA_ANALYTICS`: Powerdrill focuses specifically on data
                    analysis.


                    Specify at least one parameter: `title`, `languageType`,
                    `jobMode`, or `maxMessagesInContext`.
                  enum:
                    - AUTO
                    - DATA_ANALYTICS
                  default: AUTO
                maxMessagesInContext:
                  type: integer
                  description: >-
                    The new maximum number of messages retained per session,
                    with a value range of 0 to 10. The default is 10.


                    Specify at least one parameter: `title`, `languageType`,
                    `jobMode`, or `maxMessagesInContext`.
                  default: 10
            example:
              title: annual_review
              languageType: AUTO
              jobMode: AUTO
              maxMessagesInContext: 7
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: >-
                      Status code. **0** indicates that the operation is
                      successful. Otherwise, the operation fails. Possible error
                      codes include: 

                      - 100: Bad request. 

                      - 201: Request frequency limit.

                      - 9999: Internal error. 

                      - 100001: Invalid operation. 
                  data:
                    type: object
                    properties: {}
                    description: Null is returned when the operation is successful.
                required:
                  - data
                  - code
          headers:
            x-pd-trace-id:
              example: ''
              required: true
              description: The trace ID of Powerdrill.
              schema:
                type: string
      deprecated: false
      security:
        - apikey-header-x-pd-api-key: []
components:
  securitySchemes:
    apikey-header-x-pd-api-key:
      type: apiKey
      in: header
      name: x-pd-api-key

````